(инструкции на Русском - внизу)

# txt2web
Compiler for QSP games which creates monolithic HTML pages.

## Usage
There are three mastery levels

1. **Just build me the game**:
`txt2web game.txt`
And it will create the game in game.html

2. **I know what I'm doing**:
`txt2web game.txt -o game.html --body body.html --js jquery.js my-js-library.js --css styles/*.css`
All options are self-explanatory. The result is a monolithic html specified with the `-o` option. Default `body.html` and `default.css` (used by the first mastery level) can be found in `extras` directory.

3. **I'm a frontend developer**!
`txt2web game.txt -c -o game.js`
It just builds the game script into a js you can put on your website. To run the game execute `qsp_start()`

# txt2web
Компилятор для игр на QSP создающий монолитные страницы на HTML.

## Инструкции

Есть три уровня мастерства.

1. **Просто собери мне игру**:
`txt2web game.txt`
Создаст игру в game.html

2. **Я знаю что делаю**:
`txt2web game.txt -o game.html --body body.html --js jquery.js my-js-library.js --css styles/*.css`
Если вы знаете что делаете, то для вас смысл опций очевиден. `body.html` и `default.css` лежат в каталоге `extras`.

3. **Я - фронтендер!**
`txt2web game.txt -c -o game.js`
Просто соберёт игру в Javascript файл который вы можете разместить на своём сайте как вам угодно. Чтобы запустить игру: `qsp_start()`
